const zh = {
  h5: {
    discover: '发现',
    chat: '聊天',
    mine: '我的',
    nickname: '昵称',
    username: 'ID',
    avatar: '头像',
    editInfo: '编辑资料',
    notBind: '未绑定',
    logout: '退出登录',
    chatInfo: '聊天信息',
    groupAvatar: '群头像',
    groupName: '群名字',
    input: '请输入',
    edit: '编辑',
    typeNames: ['群名字', '群公告', '昵称', 'ID'],
    selectContact: '选择联系人',
    createGroup: '建群',
    groupNotice: '群公告',
    meechatLogin: '账号登录'
  },
  mini: {
    logout: '注销',
    accountSetting: '账号设置',
    openWeb: '在网页版打开聊天',
    admin: '群主',
    logining: '登录中...',
    login: '登录',
    // aboutMeeChat: '关于MeeChat',
    server: '客服'
  },
  chat: {
    noMore: '没有更多了',
    yesterday: '昨天',
    redpack: '红包',
    image: '图片',
    audio: '音频',
    video: '视频',
    send: '发送',
    unreadMsg: '条未读消息',
    joinGroup: '加入群组',
    hotGroupRecommend: '热门群组推荐',
    enterTips: 'Enter发送，Ctrl + Enter 换行',
    hava: '有',
    atYouWithPeople: '个人提到了你',
    atYou: '提到了你',
    youAreBan: '您已被禁言',
    cannotBeEmpty: '聊天内容不能为空',
    maxUploadTips: '上传文件大小限制：音频2M以内，视频3M以内',
    news: '消息',
    closePinMsg: '确定要关闭置顶消息吗？',
    closeSessionMsg: '确认删除当前会话？',
    quote: '引用',
    copy: '复制',
    paste: '粘贴',
    forward: '转发',
    sticky: '置顶',
    revoke: '撤回',
    revoked: '撤回了',
    aMsg: '的一条消息',
    liftaBan: '解禁',
    revokeMsg: '撤回了一条消息',
    deleteSession: '删除会话',
    otherRevoke: '有人撤回一条消息',
    msgType: ['图片', '视频', '音频', '红包', 'ext'],
    imageComfirm: '发送图片确认',
    videoComfirm: '发送视频/音频确认'
  },
  redPacket: {
    title: '发红包',
    random: '拼',
    totalAmount: '总金额',
    tip1: '当前为拼手气红包',
    num: '红包个数',
    placeholder1: '请填写个数',
    unit: '个',
    tip2: '本群共{num}人',
    memo: '恭喜发财，大吉大利',
    tip3: '未领取的红包，将于24小时后发起退款',
    sendBtn: '塞钱进红包',
    helpTitle: '帮助',
    helpRule1: '1. 发出的红包均为拼手气红包，抢得的红包金额随机；一次最多发100个红包；',
    helpRule2: '2. 发红包时可选择币种；抢到的红包金额直接转账到对应币种的绑定账户；若未绑定账户，则所得币种余额在绑定账户后即刻转账；',
    helpRule3: '3. MeeChat会从每次发出红包的金额中收取2%的手续费，用于支付上链成本',
    maxMoneyTip: '总金额 不能多于',
    minMoneyTip: '总金额 不能少于',
    singleMinMoneyTip: '单个红包最小为',
    maxNumberTip: '红包个数最大为',
    noPacketTips: '手慢了，红包派完了',
    expiredPacketTips: '该红包已经过期。',
    open: '開',
    seePacketDetail: '查看领取详情',
    transferTo: '已转到相应账户',
    account: '账户',
    best: '手气最佳',
    received: '已领取',
    lootAll: '已抢光',
    expired: '已过期',
    tip4: '共{total}{unit}红包, 已被领取{num}{unit}',
    drawed: '领取了',
    whos: '的',
    sendForEosTips: '发送红包功能只对Eos/Meetone登录用户开放',
    bindForEosTips: '你还没有绑定 {type} 账号',
    receiveRedpack: '领取了红包'
  },
  group: {
    recommendGroup: '推荐群',
    groupName: '群名',
    enter: '进入',
    join: '加群',
    searchMember: '搜索群成员',
    add: '添加',
    delete: '删除',
    showAll: '展开全部',
    hideAll: '收起',
    setGroupAvatar: '群头像',
    groupPin: '群公告',
    noPin: '暂无公告',
    groupInviteLink: '群邀请链接',
    groupId: '群ID',
    doNotDisturb: '消息免打扰',
    cancelDisturb: '取消免打扰',
    topChat: '置顶聊天',
    admin: '群管理',
    quitGroup: '退出群组',
    groupPinInput: '请输入你的群公告',
    adminSetting: '群管理员设置',
    groupCertification: '申请群认证',
    groupTypeSetting: '群类型设置',
    relateTelegram: '同步Telegram群',
    needRelateTelegram: '需要同步Telegram群',
    needRelateTip: '目前你还没有绑定Telegram账号，需绑定后进行后续操作',
    teleStep1: '在Telegram中搜索@meechatbot,并将该账户由管理员拉入到需同步的Telegram群中，跟随引导步骤即可完成同步。',
    teleStep2: '同步后，MeeChat群组和Telegram群的消息实时同步。',
    clickBind: '点击绑定',
    relate: '同步',
    createGroupToRelate: '创建新群并同步',
    createSuccess: '创建成功',
    groupNameTips: '请输入群名',
    groupNameLengthTips: '群名字过长，请输入16个字符以内',
    groupMgrMostTips: '管理员最多只能设置5个人哦',
    groupMgrComfime: '确定要把群主转让给',
    groupMgrResult: '已转让群主给',
    leaveComfirm: '确认退出该群聊？',
    leaveTip: '已退出该群聊',
    joinTip: '请先加入群组'
  },
  emoji: {
    lastestUse: '最近使用',
    person: '人物',
    nature: '人物',
    food: '食物',
    activity: '活动',
    trip: '旅行',
    symbol: '符号'
  },
  userinfo: {
    changePhoto: '更改头像',
    bindAccounts: '已绑定账户',
    notBindOrHide: '未绑定或已隐藏',
    openingSoon: '即将开放',
    public: '已公开',
    private: '未公开',
    bind: '绑定',
    unbind: '解绑',
    unbindSuccess: '解绑成功',
    unbindMsg: '确定解绑',
    nickTooLong: '用户呢称过长，请输入16个字符以内',
    wrongPattern: '只能是5-20位的数字，字母下划线',
    maxUploadTips: '请上传2M以内的图片',
    editAvatar: '编辑头像',
    editGroupAvatar: '编辑群头像',
    inputIsEmpty: '信息不能为空',
    groupNameTooLong: '群名字过长，请输入16个字符以内'
  },
  invite: {
    searchContact: '搜索联系人',
    noContact: '暂无联系人',
    transferGroupOwner: '转让群主',
    seleted: '已选择了',
    numberMember: '位群成员',
    checkDeleteMemberTips: '请勾选需要删除的群成员',
    checkAddMemberTips: '请勾选需要添加的',
    writeGroupName: '请输入群名称'
  },
  public: {
    confirm: '确认',
    cancel: '取消',
    complete: '完成',
    updateSucc: '修改成功',
    uploadSucc: '上传成功',
    loading: '加载中',
    admin: '管理员',
    owner: '群主',
    contact: '联系人',
    sendMessage: '发消息',
    loginTip: '请先登录',
    noMoney: '账户余额不足',
    badNetwork: '网络太差~ 请重试',
    close: '关闭',
    ban: '禁言',
    setting: '设置',
    remove: '移除',
    you: '你',
    quit: '退出',
    feedback: '意见反馈',
    chinese: 'Chinese',
    english: 'English',
    closeMsg: '关闭消息',
    openMsg: '开启消息',
    search: '搜索',
    searchHotGroup: '搜索热门群组',
    item: '条',
    me: '我',
    other: '对方',
    pswSetting: '设置密码',
    pswEdit: '修改密码',
    installPwa: '安装MeeChat桌面版',
    installError: '你还没有安装{type}插件'
  },
  login: {
    login: '登录',
    accountLogin: '账号登录',
    autoLogin: '自动登录中',
    loginWithScatter: '请使用scatter进行登录',
    loadScatter: '未安装？请下载scatter程序',
    installScatter: '请安装scatter插件',
    otherType: '登录方式',
    loginTipAccount: '请输入MeeChat账号',
    loginTipPsw: '请输入密码',
    loginForSecurity: '为了资料安全，请重新登录'
  },
  psw: {
    account: 'MeeChat账号',
    setPsw: '设置MeeChat密码',
    oldPsw: '旧密码',
    oldPswTip: '请输入旧的密码',
    newPsw: '新密码',
    newPswTip: '请输入新的密码',
    comfirmPsw: '确认密码',
    comfirmPswTip: '请再次输入新的密码',
    lenTip: '密码必须至少8个字符',
    pswAdd: '设置MeeChat密码后可以通过MeeChat账号+密码登录MeeChat'
  }
}

export default zh
