const en = {
  h5: {
    discover: 'Discover',
    chat: 'Chat',
    mine: 'Mine',
    nickname: 'Nickname',
    username: 'ID',
    avatar: 'Avatar',
    editInfo: 'Edit info',
    notBind: 'Not bind',
    logout: 'Logout',
    chatInfo: 'Chat info',
    groupAvatar: 'Group avatar',
    groupName: 'Group name',
    input: 'Please input',
    edit: 'Edit',
    typeNames: ['Group name', 'Group info', 'Nickname', 'ID'],
    selectContact: 'Select contact',
    createGroup: 'Create group',
    groupNotice: 'Group Notice',
    meechatLogin: 'Meechat Login'
  },
  mini: {
    logout: 'Logout',
    accountSetting: 'Account setting',
    openWeb: 'Chat in new tab',
    admin: 'Admin',
    logining: 'Login...',
    login: 'Login',
    // aboutMeeChat: 'Powered by MeeChat',
    server: 'Server'
  },
  chat: {
    noMore: 'No more',
    yesterday: 'Yesterday',
    redpack: 'RedPacket',
    image: 'Image',
    audio: 'Audio',
    video: 'Video',
    send: 'Send',
    unreadMsg: ' Messages unread',
    joinGroup: 'Join Group',
    hotGroupRecommend: 'Hot Groups',
    enterTips: 'Enter Send，Ctrl + Enter NewLine',
    hava: '',
    atYouWithPeople: 'people @ you',
    atYou: '@ you',
    youAreBan: 'You are prohibitions',
    cannotBeEmpty: 'Chat content can not be empty',
    maxUploadTips: 'Upload file size limitation: audio 2M or video 3M',
    news: 'News',
    closePinMsg: 'Do you want to close the top message?',
    closeSessionMsg: 'Do you want to delete this session?',
    quote: 'Quote',
    copy: 'Copy',
    paste: 'Paste',
    forward: 'Forward',
    sticky: 'Sticky',
    revoke: 'Revoke',
    revoked: ' revoke',
    aMsg: 'a message',
    liftaBan: 'Lift a ban',
    revokeMsg: ' revoke a message',
    deleteSession: 'Delete session',
    otherRevoke: 'Someone revoke a message.',
    msgType: ['image', 'video', 'audio', 'redpack', 'ext'],
    imageComfirm: 'Send Image',
    videoComfirm: 'Send Video/Audio'
  },
  redPacket: {
    title: 'Send Red Packet',
    random: 'R',
    totalAmount: 'Total',
    tip1: 'Current mode: random amount',
    num: 'Number',
    unit: 'Packets',
    placeholder1: 'number',
    tip2: 'The group has {num} members',
    memo: 'Good luck',
    tip3: 'Unclaimed red packet will be refunded after 24 hours',
    sendBtn: 'Put money into red packet',
    helpTitle: 'Help',
    helpRule1: '1. The red envelopes are all hand-made red envelopes, and the amount of red envelopes grabbed is random; the maximum number of red envelopes is 100 at a time.',
    helpRule2: '2. The money can be selected when sending the red envelope; the amount of the red envelope is transferred directly to the binding account of the corresponding currency; if the account is not bound, the balance of the currency will be transferred immediately after the binding account.',
    helpRule3: '3. MeeChat charges 2% of the amount of each red envelope to cover the cost of the chain.',
    maxMoneyTip: 'Total money can not more than',
    minMoneyTip: 'Total money can not less than',
    singleMinMoneyTip: 'Single packet can not less than',
    maxNumberTip: 'Max pakcet number is',
    noPacketTips: 'Slow hand, red packet is over',
    expiredPacketTips: 'Packet is expired',
    open: 'open',
    seePacketDetail: 'See packet detail',
    transferTo: 'Transferred to the corresponding account',
    account: ' account',
    best: ' Best luck',
    received: 'already received',
    lootAll: 'Loot all',
    expired: 'expired',
    tip4: 'Total {total} {unit}, {num} {unit} Has been open',
    drawed: 'got',
    whos: ' ',
    sendForEosTips: 'Red Packet Sending is only available to EOS logged-in users',
    bindForEosTips: 'you have not yet bound {type} account',
    receiveRedpack: 'received a red redpack'
  },
  group: {
    recommendGroup: 'Recommend group',
    groupName: 'Group name',
    enter: 'Enter',
    join: 'Join',
    searchMember: 'Search members',
    add: 'Add',
    delete: 'Delete',
    showAll: 'Slide down',
    hideAll: 'Slide up',
    setGroupAvatar: 'Group avatar',
    groupPin: 'Info',
    noPin: 'No info',
    groupInviteLink: 'Share Link',
    groupId: 'Group ID',
    doNotDisturb: 'Mute Session',
    cancelDisturb: 'Unmute Session',
    topChat: 'Pin Session',
    admin: 'Group admin',
    quitGroup: 'Leave Group',
    groupPinInput: 'Write group info',
    adminSetting: 'Group admin setting',
    groupCertification: 'Application for group certification',
    groupTypeSetting: 'Group Type Setting',
    relateTelegram: 'Relate Telegram',
    needRelateTip: "Haven't bound your Telegram account ,so you need to do follow-up after binding.",
    teleStep1: 'Search for @meechatbot in Telegram and pull the account from the administrator into the Telegram group that needs synchronization. Follow the boot steps to complete the synchronization.',
    teleStep2: 'After synchronization, the messages of MeeChat group and Telegram group are synchronized in real time.',
    clickBind: 'Bind',
    needRelateTelegram: 'Relate Telegram',
    relate: 'Realte',
    createGroupToRelate: 'Create New Group To Relate',
    createSuccess: 'Create Success',
    groupNameTips: 'Please Enter Group Name',
    groupNameLengthTips: 'Group name is too long, please enter less than 16 characters',
    groupMgrMostTips: 'Group administrators can only set up five people at most.',
    groupMgrComfime: 'Determine to transfer group owners to',
    groupMgrResult: 'Transferred group owner to',
    leaveComfirm: 'Confirm to quit the group chat?',
    leaveTip: 'Has withdrawn from the group chat',
    joinTip: 'Please join the group first'
  },
  emoji: {
    lastestUse: 'Lastest use',
    person: 'Person',
    nature: 'Nature',
    food: 'Food',
    activity: 'Activity',
    trip: 'Trip',
    symbol: 'Symbol'
  },
  userinfo: {
    changePhoto: 'Change avatar',
    bindAccounts: 'Bind accounts',
    notBindOrHide: 'Not bind or hide',
    openingSoon: 'Opening soon',
    public: 'Public',
    private: 'Private',
    bind: 'Bind',
    unbind: 'Unbind',
    unbindSuccess: 'Unbind Success',
    unbindMsg: 'Do you want to unbind',
    nickTooLong: 'Nickname too long , please write it in 16 chars',
    wrongPattern: 'Only allow number letter and underline between 5-20 chars',
    maxUploadTips: 'Please upload image within 2M',
    editAvatar: 'Edit avatar',
    editGroupAvatar: 'Edit group avatar',
    inputIsEmpty: 'Input value can not be empty',
    groupNameTooLong: 'Group name too long , please write it in 16 chars'
  },
  invite: {
    searchContact: 'Search contact',
    noContact: 'No contact',
    transferGroupOwner: 'Transfer group owner',
    seleted: 'Already select',
    numberMember: ' members',
    checkDeleteMemberTips: 'Please check the person that need to be deleted',
    checkAddMemberTips: 'Please check the person that need to be add',
    writeGroupName: 'Please write group name'
  },
  public: {
    confirm: 'Confirm',
    cancel: 'Cancel',
    complete: 'Complete',
    updateSucc: 'Update success',
    uploadSucc: 'Upload success',
    loading: 'Loading',
    admin: '(Admin)',
    owner: '(Owner)',
    contact: '(Contact)',
    sendMessage: 'Send message',
    loginTip: 'Please login',
    noMoney: 'The balance of account is insufficient.',
    badNetwork: 'The network is too bad. please try again. ',
    close: 'Close',
    ban: 'Prohibitions',
    setting: 'Setting',
    remove: 'Remove',
    you: 'you',
    quit: 'Logout',
    feedback: 'Feedback',
    chinese: '中文',
    english: '英文',
    closeMsg: 'Close notification',
    openMsg: 'Open notification',
    search: 'Search',
    searchHotGroup: 'Search Hot Group',
    item: 'item',
    me: 'I',
    other: 'the other side',
    pswSetting: 'Password Setting',
    pswEdit: 'Password Edit',
    installPwa: 'Install MeeChat Desktop Edition'
  },
  login: {
    login: 'login',
    accountLogin: 'Account Login',
    autoLogin: 'Auto login',
    loginWithScatter: 'Log in using scatter',
    loadScatter: 'Not installed? download scatter program',
    installScatter: 'Please install scatter plugin',
    otherType: 'Login',
    loginTipAccount: 'Please Enter MeeChat Username',
    loginTipPsw: 'Please Enter MeeChat Password',
    loginForSecurity: 'For data security, please login again'
  },
  psw: {
    setPsw: 'Password Setting',
    oldPsw: 'Old Password',
    oldPswTip: 'Please Enter Old Password',
    newPsw: 'New Password',
    newPswTip: 'Please Enter Old Password',
    comfirmPsw: 'Comfirm Password',
    comfirmPswTip: 'Please Enter Old Password',
    lenTip: 'Password must be at least 8 characters',
    pswAdd: 'After setting MeeChat password, you can login to MeeChat through MeeChat account + password.'
  }
}

export default en
